## ros-indigo-scanning-table-msgs 0.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(scanning_table_msgs)

find_package(catkin REQUIRED COMPONENTS actionlib_msgs message_generation message_runtime)

add_action_files(
    FILES
    scanning_table.action
    )

generate_messages(
  DEPENDENCIES
  actionlib_msgs
)
catkin_package(
    CATKIN_DEPENDS actionlib_msgs message_runtime
    )

=== debian/changelog ===
ros-indigo-scanning-table-msgs (0.0.5-3trusty) trusty; urgency=high



 -- TODO <todo@todo.com>  Thu, 23 Apr 2015 22:00:00 -0000

ros-indigo-scanning-table-msgs (0.0.4-3trusty) trusty; urgency=high



 -- TODO <todo@todo.com>  Wed, 18 Mar 2015 23:00:00 -0000

ros-indigo-scanning-table-msgs (0.0.3-3trusty) trusty; urgency=high



 -- TODO <todo@todo.com>  Mon, 13 Oct 2014 22:00:00 -0000

ros-indigo-scanning-table-msgs (0.0.1-3trusty) trusty; urgency=high

  * Corrected versions
  * Sorting, cleanup of dependencies
  * _msgs-packages should not depend on functional packages, i.e. actionlib
  * Corrected some information in package.xml and CMakeLists.txt as reported by catkin_lint
  * catkinized scanning table msgs
  * Contributors: Ferenc Balint-Benczedi, Jan Winkler

 -- TODO <todo@todo.com>  Thu, 15 May 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-scanning-table-msgs
Section: misc
Priority: extra
Maintainer: TODO <todo@todo.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-message-runtime
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-scanning-table-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib-msgs, ros-indigo-message-runtime, ros-indigo-std-msgs
Description: catkinized common interface for turn table

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-scanning-table-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
